Permalink
Browse files

Ship third-party-podspecs in the npm package

Summary:
Hi,

Today I upgraded from RN 0.44 to 0.45.0-rc.0 and noticed I add to include either `CxxBridge` or `BatchedBridge` in the React subspecs in my Podfile to get my project to compile again (#13010).

Adding `BatchedBridge` works fine. However I wanted to try `CxxBridge` as described in 5aca739 but couldn't do it since the required `third-party-podspecs` folder with `Folly.podspec`, `GLog.podspec` and `DoubleConversion.podspec` hadn't been included in the npm release.

So here is the fix for that.
It should be included in the next 0.45.0-rc release.

Let me know what you think.
Closes #13922

Differential Revision: D5051477

Pulled By: javache

fbshipit-source-id: e5c527f1ee9c84734d3e3a3d85ec3f1e5d648bef
  • Loading branch information...
jeanregisser authored and grabbou committed May 12, 2017
1 parent be67788 commit 1ea4002b72209aff0c11a91335b13ac60b05ab99
Showing with 2 additions and 1 deletion.
  1. +2 −1 package.json
View
@@ -107,7 +107,8 @@
"React",
"ReactAndroid",
"ReactCommon",
"README.md"
"README.md",
"third-party-podspecs"
],
"scripts": {
"test": "jest",

0 comments on commit 1ea4002

Please sign in to comment.